# Building the windows client

- Install and prepare the tools and programs as described in: https://github.com/nextcloud/client-building/blob/master/README.md#install-list
- Checkout this repository (including top directory) at the path `c:/stack`
- Copy the `c:\Nextcloud\tools` directory into `c:\stack`.
- Start Git bash and go to dir:
  - `cd /c/stack`
- Checkout main repo and patch it with:
  - `./clone.sh`
- Move the client checkout to the proper directory:
  - `mv /c/stack/client /c/stack/windows/desktop`
- Checkout other repos:
  - `windows/init.bat`
- Put the `code-signing-key.pfx` signing key in the `c:\stack` directory
- Run `P12_KEY_PASSWORD=<PFX-PASSWORD> windows/build.bat` to start the build and sign the package
- The binaries are now ready for distribution in `/c/stack/windows/daily`